Use Generic Ardour Gui for LV2 Plugins in A 2.8.11

1 reply [Last post]
stanislav
User offline. Last seen 21 weeks 6 days ago. Offline
Joined: 2010-12-05
Posts:

Hello,

I ask me, if it is possible to use LV2 Plugins with the generic GUI comming from ardour.

I want to use a midi controller to control the parameters and this is not possible when using the lv2 own GUI.

This artile says, that it starts with 2v. 2.8.3 when you can use the lv2 own GUI. Maybe for now there is a way to choose betwenen them.

http://ardour.org/plugins

And here the authos says that he prefers the ardour gui - but I can not find how to set it up...

Thanks.

http://wootangent.net/2011/06/lv2-synths-for-ardour-3-a-list/

Xperienced
User offline. Last seen 9 weeks 5 days ago. Offline
Joined: 2011-08-18
Posts:

It seems that the only way to do it in 2.8.11 is by editing the plugins.

To edit a plugin, go to the LV2 directory (it can vary by installation but is normally /usr/lib/lv2) and open the directory of the plugin you want to disable the GUI for. In each dir there should be two .ttl files, one "manifest.ttl" and another one, usually with the same name as the plug.

Open the another one in a text editor and comment out the lines that call the GUI. Lines are commented out by adding a "#" at the beggining. In each plugin the lines that call (or define) the GUI are different, but they should be more or less obvious and they're often at the top.

For example, to disable the GUI of...

linuxDSP reverb:

...
@prefix linuxdsp: <http://linuxdsp.co.uk/lv2/ns/> .

# <http://linuxdsp.co.uk/lv2/sr-2b.lv2> uiext:ui <http://linuxdsp.co.uk/lv2ui/sr-2b.lv2> .
# <http://linuxdsp.co.uk/lv2ui/sr-2b.lv2> a uiext:external ;
# uiext:binary <sr-2b-lv2.so> .
#
# <http://linuxdsp.co.uk/lv2ui/sr-2b.lv2> uiext:events <http://linuxdsp.co.uk/lv2events/sr-2b.lv2> .

<http://linuxdsp.co.uk/lv2/sr-2b.lv2>
...

abGate:

...
@prefix foaf: <http://xmlns.com/foaf/0.1/>.

#<http://hippie.lt/lv2/gate/gui>
#
# a guiext:GtkUI;
# guiext:binary <gate_gui.so>;
# guiext:requiredFeature guiext:makeResident;
# guiext:optionalFeature guiext:noUserResize.

<http://hippie.lt/lv2/gate>
...

Invada Compressor:

...
@prefix pg: <http://lv2plug.in/ns/dev/port-groups#> .

#<http://invadarecords.com/plugins/lv2/compressor/gui>
# a uiext:GtkUI;
# uiext:binary <inv_compressor_gui.so>;
# uiext:requiredFeature uiext:makeResident ;
# uiext:optionalFeature uiext:noUserResize ;
#
# uiext:portNotification [
# uiext:plugin <http://invadarecords.com/plugins/lv2/compressor/mono> ;
# uiext:portIndex 8 ;
# ],[
# uiext:plugin <http://invadarecords.com/plugins/lv2/compressor/mono> ;
# uiext:portIndex 9 ;
# ],[
# uiext:plugin <http://invadarecords.com/plugins/lv2/compressor/mono> ;
# uiext:portIndex 10 ;
# ],[
# uiext:plugin <http://invadarecords.com/plugins/lv2/compressor/mono> ;
# uiext:portIndex 11 ;
# ] ;
#
# uiext:portNotification [
# uiext:plugin <http://invadarecords.com/plugins/lv2/compressor/stereo> ;
# uiext:portIndex 8 ;
# ],[
# uiext:plugin <http://invadarecords.com/plugins/lv2/compressor/stereo> ;
# uiext:portIndex 9 ;
# ],[
# uiext:plugin <http://invadarecords.com/plugins/lv2/compressor/stereo> ;
# uiext:portIndex 10 ;
# ],[
# uiext:plugin <http://invadarecords.com/plugins/lv2/compressor/stereo> ;
# uiext:portIndex 11 ;
# ],[
# uiext:plugin <http://invadarecords.com/plugins/lv2/compressor/stereo> ;
# uiext:portIndex 14 ;
# ],[
# uiext:plugin <http://invadarecords.com/plugins/lv2/compressor/stereo> ;
# uiext:portIndex 15 ;
# ] .

<http://invadarecords.com/plugins/lv2/compressor/mono>
...

Good luck.